package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFX78 extends MwfRequest<MWFX78, MWFX78Response> {

    @Parameter(name = "CisloUctu")
    MWFX78 cisloUctu(String cisloUctu);
    @Parameter(name = "FiltrCastkaDo")
    MWFX78 filtrCastkaDo(Double filtrCastkaDo);
    @Parameter(name = "FiltrCastkaOd")
    MWFX78 filtrCastkaOd(Double filtrCastkaOd);
    @Parameter(name = "FiltrDatumDo")
    MWFX78 filtrDatumDo(java.util.Date filtrDatumDo);
    @Parameter(name = "FiltrDatumOd")
    MWFX78 filtrDatumOd(java.util.Date filtrDatumOd);
    @Parameter(name = "FiltrKaretniTransakce")
    MWFX78 filtrKaretniTransakce(String filtrKaretniTransakce);
    @Parameter(name = "FiltrKodBankyPartnersky")
    MWFX78 filtrKodBankyPartnersky(String filtrKodBankyPartnersky);
    @Parameter(name = "FiltrUcetPartnersky")
    MWFX78 filtrUcetPartnersky(String filtrUcetPartnersky);
    @Parameter(name = "FiltrVariabilniSymbol")
    MWFX78 filtrVariabilniSymbol(String filtrVariabilniSymbol);
    @Parameter(name = "KodDC")
    MWFX78 kodDC(String kodDC);
    @Parameter(name = "RozsirenyFiltr")
    MWFX78 rozsirenyFiltr(String rozsirenyFiltr);
}
